Welcome to Working With Rails

 

Discussion Forums

Discuss all things Ruby on Rails with perhaps the web's most vibrant group of Ruby on Rails enthusiasts.
2 Posts
Newbie Guide

I just got done installing Rails on Ubuntu. However, I am running into a few issues.

First: I have installed rubygems, but two versions come up. 1.8, and 1.9. Should I go ahead and update the gems to be 1.9, as right now they are being ran by the 1.8? (upgrade softlinks, whatever).

Second: Whenever I install rails through whichever (I have tried both gems1.8 install and 1.9 install), it will not be recognized as 'on the system'. However, when I do a simple sudo apt-get install rails, rails -v and -m are invalid options. Not to mention that the package apt-get installs 1.3 rails rather than 2.3.3. Is there something I am doing wrong?

I run rails on Ubuntu and don't do the sudo apt-get install for ruby-gems. Here is the list of links I used to install ROR and sqlite3. Install ruby using sudo apt-get then compile gems from source (that is the recommended way)

http://www.sqlite.org/ http://theplana.wordpress.com/2007/05/11/install-sqlite3-on-ubuntu/ http://wiki.rubyonrails.org/getting-started/installation/linux-ubuntu http://rubyforge.org/frs/?group_id=126

I have a blog post I've been working on for beginners (I was one and sorta still am) and those links are the 'research' for it. Let me know if you are still stuck.

2 Posts
Login to add your message